## yofrankie 1.1b~svn91

=== Makefile ===
# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# ##### END GPL LICENSE BLOCK #####

NAME = yofrankie
VERSION = 1.1b

BLENDER = blender
PYTHON = python
SVN = svn
PACKAGE_DIR = ./package

dist_dirs = \
	audio \
	chars \
	dist \
	effects \
	franci_test \
	hud \
	levels \
	menus \
	props \
	textures \
	$(NULL)

dist_files = \
	CC-BY3.0 \
	COPYING \
	GPL-2 \
	Makefile \
	README.TXT \
	yo_frankie_stub.blend \
	$(NULL)

all:
	# Copy files into a package dir
	rm -rf $(PACKAGE_DIR)
	
	# copy with svn export or normal copy if this is not a checkout
	if test -d .svn; \
	then $(SVN) export . $(PACKAGE_DIR); \
	else mkdir ./package; cp -pR audio chars effects hud levels menus props textures $(PACKAGE_DIR)/; \
	fi
	# end shell command
	
	# Convert images, correct blendfile paths
	# TODO - this is broken with 2.48a, because blend files saved have no G.curscreen
	$(PYTHON) dist/imagefile_compress.py $(BLENDER) $(PACKAGE_DIR)
	
	# Compress all blendfiles
	$(PYTHON) dist/blendfile_gzip.py $(PACKAGE_DIR)

gz:
	tar -c --exclude-vcs --transform="s@^@$(NAME)-$(VERSION)/@" $(dist_dirs) $(dist_files) | gzip -cn9 > $(NAME)-$(VERSION).tar.gz

bzip2:
	tar -c --exclude-vcs --transform="s@^@$(NAME)-$(VERSION)/@" $(dist_dirs) $(dist_files) | bzip2 -cz9 > $(NAME)-$(VERSION).tar.bz2

lzma:
	tar -c --exclude-vcs --transform="s@^@$(NAME)-$(VERSION)/@" $(dist_dirs) $(dist_files) | lzma -cz9 > $(NAME)-$(VERSION).tar.lzma

xz:
	tar -c --exclude-vcs --transform="s@^@$(NAME)-$(VERSION)/@" $(dist_dirs) $(dist_files) | xz -cz9 > $(NAME)-$(VERSION).tar.xz

dist: bzip2

.PHONY: all dist gz bzip2 lzma xz

=== debian/changelog ===
yofrankie (1.1b~svn91-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #311938)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 16 Feb 2010 12:38:09 +0100

=== debian/control ===
Source: yofrankie
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: blender (>= 2.49.2~dfsg),
               debhelper (>= 7.0.50~),
               imagemagick,
               python
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://www.yofrankie.org/
Vcs-git: git://git.debian.org/git/collab-maint/yofrankie.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/yofrankie.git;a=summary

Package: yofrankie
Architecture: all
Depends: blender (>= 2.49.2~dfsg), ${misc:Depends}
Description: 3D platform game created with Blender
 Yo Frankie! is an open source computer game by the Blender Institute. It is
 based on the universe and characters of the open source film Big Buck Bunny.
 In the game, players assume the role of Frank, the sugar glider who was the
 antagonist of the film Big Buck Bunny. The game has been made using free
 software, partly as a showcase of what can be achieved with free software.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

get-orig-source:
	rm -rf /tmp/yofrankie
	svn co -r 91 https://svn.blender.org/svnroot/yofrankie /tmp/yofrankie
	make -C /tmp/yofrankie dist
	mv /tmp/yofrankie/yofrankie-1.1b.tar.bz2 ../yofrankie_1.1b~svn91.orig.tar.bz2

=== debian/watch ===
#version=3
# TODO: The source tarball has not been released.

## yofrankie 1.1b~svn106

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 PYTHON = python
 SVN = svn
 PACKAGE_DIR = ./package
+PREFIX ?= /usr/local
 
 dist_dirs = \
 	audio \
@@ -64,6 +65,23 @@
 	# Compress all blendfiles
 	$(PYTHON) dist/blendfile_gzip.py $(PACKAGE_DIR)
 
+clean:
+	rm -rf $(PACKAGE_DIR)
+
+install:
+	install -d $(DESTDIR)$(PREFIX)/share/yofrankie-bge
+	cp -rT $(PACKAGE_DIR) $(DESTDIR)$(PREFIX)/share/yofrankie-bge
+	install -D -m 755 dist/yofrankie-bge $(DESTDIR)$(PREFIX)/games/yofrankie-bge
+	install -D -m 755 dist/yofrankie-bge.6 $(DESTDIR)$(PREFIX)/share/man/man6/yofrankie-bge.6
+	install -D -m 644 dist/yofrankie-bge.desktop $(DESTDIR)$(PREFIX)/share/applications/yofrankie-bge.desktop
+	install -D -m 644 dist/yofrankie.png $(DESTDIR)$(PREFIX)/share/icons/hicolor/128x128/apps/yofrankie-bge.png
+	install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps
+	convert dist/yofrankie.png -resize 48 $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/yofrankie-bge.png
+	# Move font into font directory
+	install -d $(DESTDIR)$(PREFIX)/share/fonts/truetype
+	mv $(DESTDIR)$(PREFIX)/share/yofrankie-bge/menus/yo_frankie.ttf $(DESTDIR)$(PREFIX)/share/fonts/truetype
+	ln -s ../../fonts/truetype/yo_frankie.ttf $(DESTDIR)$(PREFIX)/share/yofrankie-bge/menus/yo_frankie.ttf
+
 gz:
 	tar -c --exclude-vcs --transform="s@^@$(NAME)-$(VERSION)/@" $(dist_dirs) $(dist_files) | gzip -cn9 > $(NAME)-$(VERSION).tar.gz
 
@@ -78,4 +96,4 @@
 
 dist: bzip2
 
-.PHONY: all dist gz bzip2 lzma xz
+.PHONY: all clean install dist gz bzip2 lzma xz

=== debian/changelog ===
yofrankie (1.1b~svn106-0ubuntu1) natty; urgency=low

  * New upstream snapshot (LP: #653055).
  * Drop all patches (they were accepted upstream).
  * Update package description.
  * Put TrueType font into separate package.
  * Bump Standards-Version to 3.9.1 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 08 Dec 2010 01:26:14 +0100

=== debian/control ===
Source: yofrankie
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: blender (>= 2.49.2~dfsg),
               debhelper (>= 7),
               imagemagick,
               python
Standards-Version: 3.9.1
Homepage: http://www.yofrankie.org/
Vcs-git: git://git.debian.org/git/pkg-games/yofrankie.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/yofrankie.git;a=summary

Package: yofrankie
Architecture: all
Depends: blender (>= 2.49.2~dfsg), ttf-yofrankie, ${misc:Depends}
Description: game about the adventures of Frank the sugar glider
 Yo Frankie! is an open source computer game by the Blender Institute. It is
 based on the universe and characters of the open source film Big Buck Bunny.
 In the game, players assume the role of Frank, the sugar glider who was the
 antagonist of the film Big Buck Bunny.

Package: ttf-yofrankie
Architecture: all
Section: fonts
Depends: ${misc:Depends}
Description: font for the game about the adventures of Frank the sugar glider
 Yo Frankie! is an open source computer game by the Blender Institute. It is
 based on the universe and characters of the open source film Big Buck Bunny.
 In the game, players assume the role of Frank, the sugar glider who was the
 antagonist of the film Big Buck Bunny.
 .
 This package contains the TrueType font for this game.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

%:
	dh $@

get-orig-source:
	rm -rf /tmp/yofrankie
	svn co -r 106 https://svn.blender.org/svnroot/yofrankie/trunk /tmp/yofrankie
	make -C /tmp/yofrankie dist
	mv /tmp/yofrankie/yofrankie-1.1b.tar.bz2 ../yofrankie_1.1b~svn106.orig.tar.bz2

## yofrankie 1.1b

=== debian/changelog ===
yofrankie (1.1b-1mx17+1) mx; urgency=medium

  * Repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 26 Oct 2017 18:04:26 -0400

yofrankie (1.1b-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 12 Jun 2016 18:45:36 +0200

=== debian/control ===
Source: yofrankie
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>=9),
               imagemagick,
               libxi6,
               libglu1-mesa,
               libsdl1.2debian,
               libjpeg62
Standards-Version: 3.9.7
Homepage: https://apricot.blender.org/

Package: yofrankie
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: 3D platform game
 3D platform game based on the bully rodent in Big Buck Bunny

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# somehow the compressed textures do not load
override_dh_auto_build:

override_dh_install:
	dh_install

ifeq ($(DEB_BUILD_ARCH),amd64)
	install -Dm 755 yofrankie-linux-x86_64.bin debian/yofrankie/usr/lib/games/yofrankie/yofrankie-linux-x86_64.bin
else
	install -Dm 755 yofrankie-linux-i386.bin debian/yofrankie/usr/lib/games/yofrankie/yofrankie-linux-i386.bin
endif

	find debian/yofrankie/usr/share/games/yofrankie -type f -iname "*.pyc" -delete
	find debian/yofrankie/usr/share/games/yofrankie -type f -iname "*.py" -execdir chmod -x {} \;

	#make the python scripts executable
	for i in debian/yofrankie/usr/share/games/yofrankie/*/*_scripts/*; do \
	 chmod 755 $${i} ; \
	 done

=== debian/watch ===
version=3
opts="uversionmangle=s/_/\./" \
http://www.graphicall.org/yofrankie/ \
    (?:.*/)?yofrankie_(.*)_bge\.zip
